Anonymous Login
2020-10-27 22:29 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000379v1.3 Release (Closed)[All Projects] Generalpublic2010-03-27 20:38
Reporterkicken 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionduplicate 
Product Version 
Target VersionFixed in Version 
Summary0000379: If I modify a contact the it crashes the module
DescriptionI am using the Ldap for authentication and these users were imported via ldap. I am running vanilla 1.2.2 It looks like the birthday field is tripping the error - Incorrect date value: \'\' for column \'contact_birthday\' at row 1')
ERROR: C:\public_html\project\classes\query.class.php(1169) : query failed(UPDATE `contacts` SET `contact_first_name` = 'firstname', `contact_last_name` = 'lastname', `contact_order_by` = 'firstname lastname', `contact_title` = '', `contact_job` = 'Accounting Clerk', `contact_birthday` = '', `contact_company` = '1', `contact_department` = '10', `contact_type` = '', `contact_email` = 'user@domain.com', `contact_email2` = '', `contact_phone` = '(919)-555-1212', `contact_phone2` = '', `contact_fax` = '', `contact_mobile` = '', `contact_address1` = '', `contact_address2` = '', `contact_city` = 'Cary', `contact_state` = 'North Carolina', `contact_zip` = '27511', `contact_url` = '', `contact_icq` = '', `contact_aol` = '', `contact_yahoo` = '', `contact_msn` = '', `contact_jabber` = '', `contact_skype` = '', `contact_google` = '', `contact_notes` = '', `contact_project` = '0', `contact_country` = 'US', `contact_owner` = '2' WHERE contact_id = '78') - error was: Incorrect date value: '' for column 'contact_birthday' at row 1
Backtrace:
0 C:\public_html\project\classes\query.class.php:1169 dprint('C:\\public_html\\project\\classes\\query.class.php',1169,0,'query failed(UPDATE `contacts` SET `contact_first_name` = \'firstname\', `contact_last_name` = \'lastname\', `contact_order_by` = \'firstname lastname\', `contact_title` = \'\', `contact_job` = \'Accounting Clerk\', `contact_birthday` = \'\', `contact_company` = \'1\', `contact_department` = \'10\', `contact_type` = \'\', `contact_email` = \'user@domain.com\', `contact_email2` = \'\', `contact_phone` = \'(919)-555-1212\', `contact_phone2` = \'\', `contact_fax` = \'\', `contact_mobile` = \'\', `contact_address1` = \'\', `contact_address2` = \'\', `contact_city` = \'Cary\', `contact_state` = \'North Carolina\', `contact_zip` = \'27511\', `contact_url` = \'\', `contact_icq` = \'\', `contact_aol` = \'\', `contact_yahoo` = \'\', `contact_msn` = \'\', `contact_jabber` = \'\', `contact_skype` = \'\', `contact_google` = \'\', `contact_notes` = \'\', `contact_project` = \'0\', `contact_country` = \'US\', `contact_owner` = \'2\' WHERE contact_id = \'78\') - error was: Incorrect date value: \'\' for column \'contact_birthday\' at row 1')
1 C:\public_html\project\classes\query.class.php:1723 exec()
2 C:\public_html\project\classes\w2p.class.php:217 updateObject('contacts',CContact::__set_state(array(
   'contact_id' => '78',
   'contact_first_name' => 'firstname',
   'contact_last_name' => 'lastname',
   'contact_order_by' => 'firstname lastname',
   'contact_title' => '',
   'contact_job' => 'Accounting Clerk',
   'contact_birthday' => '',
   'contact_company' => '1',
   'contact_department' => '10',
   'contact_type' => '',
   'contact_email' => 'user@domain.com',
   'contact_email2' => '',
   'contact_phone' => '(919)-555-1212',
   'contact_phone2' => '',
   'contact_fax' => '',
   'contact_mobile' => '',
   'contact_address1' => '',
   'contact_address2' => '',
   'contact_city' => 'Cary',
   'contact_state' => 'North Carolina',
   'contact_zip' => '27511',
   'contact_url' => '',
   'contact_icq' => '',
   'contact_aol' => '',
   'contact_yahoo' => '',
   'contact_msn' => '',
   'contact_jabber' => '',
   'contact_skype' => '',
   'contact_google' => '',
   'contact_notes' => '',
   'contact_project' => '0',
   'contact_country' => 'US',
   'contact_icon' => NULL,
   'contact_owner' => '2',
   'contact_private' => NULL,
   'contact_updatekey' => NULL,
   'contact_lastupdate' => NULL,
   'contact_updateasked' => NULL,
   'contact_methods' =>
  array (
  ),
   '_tbl_prefix' => '',
   '_tbl' => 'contacts',
   '_tbl_key' => 'contact_id',
   '_error' => '',
   '_query' =>
  DBQuery::__set_state(array(
     'query' => NULL,
     'table_list' => NULL,
     'where' => NULL,
     'order_by' => NULL,
     'group_by' => NULL,
     'having' => NULL,
     'limit' => NULL,
     'offset' => -1,
     'join' => NULL,
     'type' => 'select',
     'update_list' => NULL,
     'value_list' => NULL,
     'create_table' => NULL,
     'create_definition' => NULL,
     'include_count' => false,
     '_table_prefix' => '',
     '_query_id' => NULL,
     '_old_style' => NULL,
     '_db' =>
    ADODB_mysql::__set_state(array(
       'databaseType' => 'mysql',
       'dataProvider' => 'mysql',
       'hasInsertID' => true,
       'hasAffectedRows' => true,
       'metaTablesSQL' => 'SHOW TABLES',
       'metaColumnsSQL' => 'SHOW COLUMNS FROM `%s`',
       'fmtTimeStamp' => '\'Y-m-d H:i:s\'',
       'hasLimit' => true,
       'hasMoveFirst' => true,
       'hasGenID' => true,
       'isoDates' => true,
       'sysDate' => 'CURDATE()',
       'sysTimeStamp' => 'NOW()',
       'hasTransactions' => false,
       'forceNewConnect' => false,
       'poorAffectedRows' => true,
       'clientFlags' => 0,
       'substr' => 'substring',
       'nameQuote' => '`',
       'compat323' => false,
       '_genIDSQL' => 'update %s set id=LAST_INSERT_ID(id+1);',
       '_genSeqSQL' => 'create table %s (id int not null)',
       '_genSeqCountSQL' => 'select count(*) from %s',
       '_genSeq2SQL' => 'insert into %s values (%s)',
       '_dropSeqSQL' => 'drop table %s',
       'database' => 'projects',
       'host' => 'wrcorp-sql02.wrinternal01.com',
       'user' => 'project',
       'password' => '!tCat008',
       'debug' => false,
       'maxblobsize' => 262144,
       'concat_operator' => '+',
       'length' => 'length',
       'random' => 'rand()',
       'upperCase' => 'upper',
       'fmtDate' => '\'Y-m-d\'',
       'true' => '1',
       'false' => '0',
       'replaceQuote' => '\\\'',
       'charSet' => false,
       'metaDatabasesSQL' => '',
       'uniqueOrderBy' => false,
       'emptyDate' => ' ',
       'emptyTimeStamp' => ' ',
       'lastInsID' => false,
       'hasTop' => false,
       'readOnly' => false,
       'genID' => 0,
       'raiseErrorFn' => false,
       'cacheSecs' => 3600,
       'memCache' => false,
       'memCacheHost' => NULL,
       'memCachePort' => 11211,
       'memCacheCompress' => false,
       'sysUTimeStamp' => false,
       'arrayClass' => 'ADORecordSet_array',
       'noNullStrings' => false,
       'numCacheHits' => 0,
       'numCacheMisses' => 0,
       'pageExecuteCountRows' => true,
       'uniqueSort' => false,
       'leftOuter' => false,
       'rightOuter' => false,
       'ansiOuter' => false,
       'autoRollback' => false,
       'fnExecute' => false,
       'fnCacheExecute' => false,
       'blobEncodeType' => false,
       'rsPrefix' => 'ADORecordSet_',
       'autoCommit' => true,
       'transOff' => 0,
       'transCnt' => 0,
       'fetchMode' => false,
       'null2null' => 'null',
       '_oldRaiseFn' => false,
       '_transOK' => NULL,
       '_connectionID' => NULL,
       '_errorMsg' => 'Incorrect date value: \'\' for column \'contact_birthday\' at row 1',
       '_errorCode' => false,
       '_queryID' => false,
       '_isPersistentConnection' => false,
       '_bindInputArray' => false,
       '_evalAll' => false,
       '_affected' => false,
       '_logsql' => false,
       '_transmode' => '',
       'databaseName' => 'projects',
    )),
     '_db_funcs' =>
    array (
      0 => 'NOW()',
    ),
  )),
)),'contact_id',false)
3 C:\public_html\project\modules\contacts\contacts.class.php:114 store()
4 C:\public_html\project\modules\contacts\do_contact_aed.php:48 store(CAppUI::__set_state(array(
   'state' =>
  array (
    'CalIdxCompany' => 0,
    'CalIdxFilter' => '',
    'CalDayViewTab' => 0,
    'SAVEDPLACE-1' => '',
    'SAVEDPLACE' => 'm=contacts',
  ),
   'user_id' => '2',
   'user_first_name' => 'firstname2',
   'user_last_name' => 'lastname2',
   'user_company' => '0',
   'user_department' => '0',
   'user_email' => 'user2@domain.com',
   'user_type' => '1',
   'user_prefs' =>
  array (
    'CURRENCYFORM' => 'de_DE',
    'EVENTFILTER' => 'my',
    'LOCALE' => 'en',
    'MAILALL' => '0',
    'SHDATEFORMAT' => '%d/%m/%Y',
    'TABVIEW' => '0',
    'TASKASSIGNMAX' => '100',
    'TASKLOGEMAIL' => '0',
    'TASKLOGNOTE' => '0',
    'TASKLOGSUBJ' => '',
    'TIMEFORMAT' => '%I:%M %p',
    'UISTYLE' => 'w2p-snowball',
    'USERFORMAT' => 'user',
    'TASKSEXPANDED' => '0',
  ),
   'day_selected' => NULL,
   'user_locale' => 'en',
   'user_lang' =>
  array (
    0 => 'en.ISO8859-15',
    1 => 'enu',
    2 => 'en',
    3 => 'en',
  ),
   'base_locale' => 'en',
   'msg' => 'Contact',
   'msgNo' => 0,
   'defaultRedirect' => '',
   'cfg' =>
  array (
    'locale_warn' => false,
  ),
   'version_major' => 1,
   'version_minor' => 2,
   'version_patch' => 2,
   'version_string' => '1.2.2',
   'last_insert_id' => '9',
   'user_style' => NULL,
   'user_is_admin' => 1,
   'objStore' => NULL,
   'project_id' => 0,
   'boxTopRendered' => false,
)))
5 C:\public_html\project\index.php:253 require('C:\\public_html\\project\\modules\\contacts\\do_contact_aed.php')
ERROR: C:\public_html\project\classes\query.class.php(1169) : query failed(UPDATE `contacts` SET `contact_first_name` = 'firstname', `contact_last_name` = 'lastname', `contact_order_by` = 'firstname lastname', `contact_title` = '', `contact_job` = 'Accounting Clerk', `contact_birthday` = '', `contact_company` = '1', `contact_department` = '10', `contact_type` = '', `contact_email` = 'user@domain.com', `contact_email2` = '', `contact_phone` = '(919)-555-1212', `contact_phone2` = '', `contact_fax` = '', `contact_mobile` = '', `contact_address1` = '', `contact_address2` = '', `contact_city` = 'Cary', `contact_state` = 'North Carolina', `contact_zip` = '27511', `contact_url` = '', `contact_icq` = '', `contact_aol` = '', `contact_yahoo` = '', `contact_msn` = '', `contact_jabber` = '', `contact_skype` = '', `contact_google` = '', `contact_notes` = '', `contact_project` = '0', `contact_country` = 'US', `contact_owner` = '2', `contact_updatekey` = '' WHERE contact_id = '78') - error was: Incorrect date value: '' for column 'contact_birthday' at row 1
Backtrace:
0 C:\public_html\project\classes\query.class.php:1169 dprint('C:\\public_html\\project\\classes\\query.class.php',1169,0,'query failed(UPDATE `contacts` SET `contact_first_name` = \'firstname\', `contact_last_name` = \'lastname\', `contact_order_by` = \'firstname lastname\', `contact_title` = \'\', `contact_job` = \'Accounting Clerk\', `contact_birthday` = \'\', `contact_company` = \'1\', `contact_department` = \'10\', `contact_type` = \'\', `contact_email` = \'user@domain.com\', `contact_email2` = \'\', `contact_phone` = \'(919)-555-1212\', `contact_phone2` = \'\', `contact_fax` = \'\', `contact_mobile` = \'\', `contact_address1` = \'\', `contact_address2` = \'\', `contact_city` = \'Cary\', `contact_state` = \'North Carolina\', `contact_zip` = \'27511\', `contact_url` = \'\', `contact_icq` = \'\', `contact_aol` = \'\', `contact_yahoo` = \'\', `contact_msn` = \'\', `contact_jabber` = \'\', `contact_skype` = \'\', `contact_google` = \'\', `contact_notes` = \'\', `contact_project` = \'0\', `contact_country` = \'US\', `contact_owner` = \'2\', `contact_updatekey` = \'\' WHERE contact_id = \'78\') - error was: Incorrect date value: \'\' for column \'contact_birthday\' at row 1')
1 C:\public_html\project\classes\query.class.php:1723 exec()
2 C:\public_html\project\classes\w2p.class.php:217 updateObject('contacts',CContact::__set_state(array(
   'contact_id' => '78',
   'contact_first_name' => 'firstname',
   'contact_last_name' => 'lastname',
   'contact_order_by' => 'firstname lastname',
   'contact_title' => '',
   'contact_job' => 'Accounting Clerk',
   'contact_birthday' => '',
   'contact_company' => '1',
   'contact_department' => '10',
   'contact_type' => '',
   'contact_email' => 'user@domain.com',
   'contact_email2' => '',
   'contact_phone' => '(919)-555-1212',
   'contact_phone2' => '',
   'contact_fax' => '',
   'contact_mobile' => '',
   'contact_address1' => '',
   'contact_address2' => '',
   'contact_city' => 'Cary',
   'contact_state' => 'North Carolina',
   'contact_zip' => '27511',
   'contact_url' => '',
   'contact_icq' => '',
   'contact_aol' => '',
   'contact_yahoo' => '',
   'contact_msn' => '',
   'contact_jabber' => '',
   'contact_skype' => '',
   'contact_google' => '',
   'contact_notes' => '',
   'contact_project' => '0',
   'contact_country' => 'US',
   'contact_icon' => NULL,
   'contact_owner' => '2',
   'contact_private' => NULL,
   'contact_updatekey' => '',
   'contact_lastupdate' => NULL,
   'contact_updateasked' => NULL,
   'contact_methods' =>
  array (
  ),
   '_tbl_prefix' => '',
   '_tbl' => 'contacts',
   '_tbl_key' => 'contact_id',
   '_error' => '',
   '_query' =>
  DBQuery::__set_state(array(
     'query' => NULL,
     'table_list' => NULL,
     'where' => NULL,
     'order_by' => NULL,
     'group_by' => NULL,
     'having' => NULL,
     'limit' => NULL,
     'offset' => -1,
     'join' => NULL,
     'type' => 'select',
     'update_list' => NULL,
     'value_list' => NULL,
     'create_table' => NULL,
     'create_definition' => NULL,
     'include_count' => false,
     '_table_prefix' => '',
     '_query_id' => NULL,
     '_old_style' => NULL,
     '_db' =>
    ADODB_mysql::__set_state(array(
       'databaseType' => 'mysql',
       'dataProvider' => 'mysql',
       'hasInsertID' => true,
       'hasAffectedRows' => true,
       'metaTablesSQL' => 'SHOW TABLES',
       'metaColumnsSQL' => 'SHOW COLUMNS FROM `%s`',
       'fmtTimeStamp' => '\'Y-m-d H:i:s\'',
       'hasLimit' => true,
       'hasMoveFirst' => true,
       'hasGenID' => true,
       'isoDates' => true,
       'sysDate' => 'CURDATE()',
       'sysTimeStamp' => 'NOW()',
       'hasTransactions' => false,
       'forceNewConnect' => false,
       'poorAffectedRows' => true,
       'clientFlags' => 0,
       'substr' => 'substring',
       'nameQuote' => '`',
       'compat323' => false,
       '_genIDSQL' => 'update %s set id=LAST_INSERT_ID(id+1);',
       '_genSeqSQL' => 'create table %s (id int not null)',
       '_genSeqCountSQL' => 'select count(*) from %s',
       '_genSeq2SQL' => 'insert into %s values (%s)',
       '_dropSeqSQL' => 'drop table %s',
       'database' => 'projects',
       'host' => 'wrcorp-sql02.wrinternal01.com',
       'user' => 'project',
       'password' => '!tCat008',
       'debug' => false,
       'maxblobsize' => 262144,
       'concat_operator' => '+',
       'length' => 'length',
       'random' => 'rand()',
       'upperCase' => 'upper',
       'fmtDate' => '\'Y-m-d\'',
       'true' => '1',
       'false' => '0',
       'replaceQuote' => '\\\'',
       'charSet' => false,
       'metaDatabasesSQL' => '',
       'uniqueOrderBy' => false,
       'emptyDate' => ' ',
       'emptyTimeStamp' => ' ',
       'lastInsID' => false,
       'hasTop' => false,
       'readOnly' => false,
       'genID' => 0,
       'raiseErrorFn' => false,
       'cacheSecs' => 3600,
       'memCache' => false,
       'memCacheHost' => NULL,
       'memCachePort' => 11211,
       'memCacheCompress' => false,
       'sysUTimeStamp' => false,
       'arrayClass' => 'ADORecordSet_array',
       'noNullStrings' => false,
       'numCacheHits' => 0,
       'numCacheMisses' => 0,
       'pageExecuteCountRows' => true,
       'uniqueSort' => false,
       'leftOuter' => false,
       'rightOuter' => false,
       'ansiOuter' => false,
       'autoRollback' => false,
       'fnExecute' => false,
       'fnCacheExecute' => false,
       'blobEncodeType' => false,
       'rsPrefix' => 'ADORecordSet_',
       'autoCommit' => true,
       'transOff' => 0,
       'transCnt' => 0,
       'fetchMode' => false,
       'null2null' => 'null',
       '_oldRaiseFn' => false,
       '_transOK' => NULL,
       '_connectionID' => NULL,
       '_errorMsg' => 'Incorrect date value: \'\' for column \'contact_birthday\' at row 1',
       '_errorCode' => false,
       '_queryID' => false,
       '_isPersistentConnection' => false,
       '_bindInputArray' => false,
       '_evalAll' => false,
       '_affected' => false,
       '_logsql' => false,
       '_transmode' => '',
       'databaseName' => 'projects',
    )),
     '_db_funcs' =>
    array (
      0 => 'NOW()',
    ),
  )),
)),'contact_id',false)
3 C:\public_html\project\modules\contacts\contacts.class.php:114 store()
4 C:\public_html\project\modules\contacts\do_contact_aed.php:70 store(CAppUI::__set_state(array(
   'state' =>
  array (
    'CalIdxCompany' => 0,
    'CalIdxFilter' => '',
    'CalDayViewTab' => 0,
    'SAVEDPLACE-1' => '',
    'SAVEDPLACE' => 'm=contacts',
  ),
   'user_id' => '2',
   'user_first_name' => 'firstname2',
   'user_last_name' => 'lastname2',
   'user_company' => '0',
   'user_department' => '0',
   'user_email' => 'clastname2@withersravenel.com',
   'user_type' => '1',
   'user_prefs' =>
  array (
    'CURRENCYFORM' => 'de_DE',
    'EVENTFILTER' => 'my',
    'LOCALE' => 'en',
    'MAILALL' => '0',
    'SHDATEFORMAT' => '%d/%m/%Y',
    'TABVIEW' => '0',
    'TASKASSIGNMAX' => '100',
    'TASKLOGEMAIL' => '0',
    'TASKLOGNOTE' => '0',
    'TASKLOGSUBJ' => '',
    'TIMEFORMAT' => '%I:%M %p',
    'UISTYLE' => 'w2p-snowball',
    'USERFORMAT' => 'user',
    'TASKSEXPANDED' => '0',
  ),
   'day_selected' => NULL,
   'user_locale' => 'en',
   'user_lang' =>
  array (
    0 => 'en.ISO8859-15',
    1 => 'enu',
    2 => 'en',
    3 => 'en',
  ),
   'base_locale' => 'en',
   'msg' => 'Contact',
   'msgNo' => 0,
   'defaultRedirect' => '',
   'cfg' =>
  array (
    'locale_warn' => false,
  ),
   'version_major' => 1,
   'version_minor' => 2,
   'version_patch' => 2,
   'version_string' => '1.2.2',
   'last_insert_id' => '9',
   'user_style' => NULL,
   'user_is_admin' => 1,
   'objStore' => NULL,
   'project_id' => 0,
   'boxTopRendered' => false,
)))
5 C:\public_html\project\index.php:253 require('C:\\public_html\\project\\modules\\contacts\\do_contact_aed.php')
Additional InformationI updated this to remove personally-identifiable info. - caseydk
TagsNo tags attached.
Attached Files

-Relationships
duplicate of 0000386closedcaseydk Updating Conatct Date of Birth fails 
+Relationships

-Notes

~0000754

kicken (reporter)

If I modify the contact and put in the birthday it works. It looks like birthday is being set a required.

~0000775

caseydk (administrator)

Closed in favor of the earlier report.
+Notes

-Issue History
Date Modified Username Field Change
2010-02-19 17:52 kicken New Issue
2010-02-19 18:07 caseydk Description Updated
2010-02-19 18:07 caseydk Additional Information Updated
2010-02-20 05:12 kicken Note Added: 0000754
2010-03-03 16:59 caseydk Project v1.2 Release (Closed) => v1.3 Release (Closed)
2010-03-27 20:37 caseydk Relationship added duplicate of 0000386
2010-03-27 20:38 caseydk Note Added: 0000775
2010-03-27 20:38 caseydk Status new => closed
2010-03-27 20:38 caseydk Resolution open => duplicate
+Issue History